<?php
require('reportepdfdatos.php');
require_once("../class/class.conectar.php");
require_once("../class/class.usudep.php");
require_once("../class/class.usutrab.php");
require_once("../class/class.usuaprueba.php");
require_once("../class/class.garea.php");
require_once("../class/class.area.php");
require_once("../class/class.horario.php");
require_once("../class/class.personal.php");
require_once("../class/class.jefaturas.php");
require_once("../class/class.subejexarea.php");

date_default_timezone_set('UTC');

$Objcon = new Conectar();
$conex = $Objcon->con();

$anno=$_GET['anno'];
$mm=$_GET['mes'];
$ugid=$_GET['ugid'];

//Pregunta por Dependencia del trabajador
$Objud = new UsuarioDependencia();
$res_per_dep = array();
$res_per_dep= $Objud->buscar_per_dep_programado($conex,$ugid,$anno,$mm);
$idj=$res_per_dep[0]['idj'];
$ids=$res_per_dep[0]['ids'];
$idtp=$res_per_dep[0]['idtp'];

//datos del personal
$Objper = new Personal();
$res_dat_per = array();
$res_dat_per = $Objper->buscar_datos_per($conex,$ugid);
$codigo = $res_dat_per[0]['codigo'];
$nombre = $res_dat_per[0]['nombre'];
$jefatura = $res_dat_per[0]['jefatura'];
$servicio = $res_dat_per[0]['servicio'];
$cargo = $res_dat_per[0]['cargo'];
$dni = $res_dat_per[0]['dni'];
$especialidad = $res_dat_per[0]['especialidad'];
$numplanilla = $res_dat_per[0]['planilla'];
$numcoleg = $res_dat_per[0]['numcoleg'];
$numespecialidad = $res_dat_per[0]['numesp'];
$idcont = $res_dat_per[0]['idcont'];

if($idcont==1 || $idcont==2 || $idcont==4 || $idcont==5 ){
	$cabecerahe = 'HORAS EXTRAS';
	$cabecerahea = 'HORAS EXTRAS DE APOYO';
}
if($idcont==3 || $idcont==6 || $idcont==7){
	$cabecerahe = 'HORAS RPCT';
	$cabecerahea = 'HORAS RPCT DE APOYO';
}

$mes = mktime( 0, 0, 0, $mm, 1, $anno ); 
$numeroDeDias = intval(date("t",$mes)); 

$mes = mktime( 0, 0, 0, $mm, 1, $anno ); 
$numeroDeDias = intval(date("t",$mes)); 


$arraymes = array();
$arraymes[] = array('idmes'=>'1','mes'=>'ENERO');
$arraymes[] = array('idmes'=>'2','mes'=>'FEBRERO');
$arraymes[] = array('idmes'=>'3','mes'=>'MARZO');
$arraymes[] = array('idmes'=>'4','mes'=>'ABRIL');
$arraymes[] = array('idmes'=>'5','mes'=>'MAYO');
$arraymes[] = array('idmes'=>'6','mes'=>'JUNIO');
$arraymes[] = array('idmes'=>'7','mes'=>'JULIO');
$arraymes[] = array('idmes'=>'8','mes'=>'AGOSTO');
$arraymes[] = array('idmes'=>'9','mes'=>'SETIEMBRE');
$arraymes[] = array('idmes'=>'10','mes'=>'OCTUBRE');
$arraymes[] = array('idmes'=>'11','mes'=>'NOVIEMBRE');
$arraymes[] = array('idmes'=>'12','mes'=>'DICIEMBRE');

//analizando los espacios
$diasresta = $numeroDeDias-27;
$diasrestantes = $diasresta + 1;
$diascabecera = $diasresta + 16;
$cabeceramayor = $diascabecera + 16;


//parte 1 del cuerpo
$data = array();
$data[] = array('area'=>'UCI','hi'=>'7:00','hf'=>'13:00','nh'=>'6','tipo'=>'M');


$dato1cab = array();
$dato1cab[] = array('RED ASISTENCIAL','INSTITUTO NACIONAL CARDIOVASCULAR','CENTRO ASISTENCIAL','INSTITUTO NACIONAL CARDIOVASCULAR');
$dato1cab[] = array('AREA / DPTO',$jefatura,'SERVICIO',$servicio);
$dato2cab[] = array('ESPECIALIDAD',$especialidad,'CARGO',$cargo,'NRO COLEGIATURA',$numcoleg);
$dato3cab[] = array('APELLIDOS Y NOMBRES',$nombre,'NRO DNI',$dni,'NRO ESPECIALIDAD',$numespecialidad);
//$dato4cab[] = array('MES QUE INICIA',$arraymes[$mm-1]['mes']);
$dato4cab[] = array('PERIODO QUE INICIA',$arraymes[$mm-1]['mes']." ".$anno);
$dato5cab[] = array('TOTAL DE HORAS');
$dato6cab[] = array('AREAS / ACTIVIDADES','TURNO','N. HRS');

//titulos
$cabeceraho = 'HORAS ORDINARIAS';
$cabecerahoa = 'HORAS ORDINARIAS DE APOYO';

//parte 2 del cuerpo
$data2 = array(); 
$dj=1;
for ($i=1;$i<=$numeroDeDias;$i++){
$dj = $i-1;
$dia= date("w",mktime( 0, 0, 0, $mm, $i, $anno )); 
switch ($dia) {
    case 0:
        $data2[$dj]= 6;
        break;
    case 1:
    case 2:
    case 3:
    case 4:
    case 5:
    case 6:
        $data2[$dj]= '';
        break;
}
}


$header = array('AREA','HORARIO','TURNO','NH');

$header2 = array(); 
$j = 1;
for ($i=1;$i<=$numeroDeDias;$i++){
$j = $i-1;
$dia= date("w",mktime( 0, 0, 0, $mm, $i, $anno )); 
switch ($dia) {
    case 0:
        $header2[$j]= 'DOM';
		break;
    case 1:
        $header2[$j]= 'LUN';
        break;
    case 2:
        $header2[$j]= 'MAR';
        break;
	case 3:
        $header2[$j]= 'MIE';
        break;
	case 4:
        $header2[$j]= 'JUE';
        break;
	case 5:
        $header2[$j]= 'VIE';
        break;
	case 6:
        $header2[$j]= 'SAB';
        break;
}
}

$header3 = array(); 
$pinta = array();
$pintap = array();
$pintast = array();
$pintat = array();
$ancho= array();
$alinea= array();
$j=1;
$suma= 0;
for ($i=1;$i<=$numeroDeDias;$i++){
$j = $i-1;
$dia= date("w",mktime( 0, 0, 0, $mm, $i, $anno )); 
switch ($dia) {
    case 0:
		//dias domingos
        $header3[$j]= $i;
		$pinta[$j]= array(254,249,152);
		$pintap[$j]= array(254,259,152);
		$pintast[$j]= array(254,259,152);
		$pintat[$j]= array(254,259,152);
		$ancho[$j]= 5.5;
		$suma = $suma + 5.5;
		$alinea[$j]= 'C';
        break;
    case 1:
    case 2:
    case 3:
    case 4:
    case 5:
    case 6:
        $header3[$j]= $i;
		$pinta[$j]= array(196,251,252);
		$pintap[$j]= array(255,255,255);
		$pintast[$j]= array(228,254,255);
		$pintat[$j]= array(255,238,254);
		$ancho[$j]= 5.5;
		$suma = $suma + 5.5;
		$alinea[$j]= 'C';
        break;
}
}
///17 longitudes del dia
$sumat = $suma + (15*5.5);


$texto="FORMATO UNICO DE LA PROGRAMACION DEL PERSONAL - ESSALUD";

//print_r($header2);

$alturaX = 25;
$ha = 3.7;

$pdf=new PDF();
$pdf->settipoformato(3);
$pdf->AliasNbPages();
//$pdf->FPDF('L');
$pdf->__construct('L');
$pdf->AddPage();
$pdf->SetFont('Helvetica','B',12);
$pdf->Image('../img/logoincor.jpg', 10, 10, 45, 16,'jpg');
$pdf->Image('../img/logoessalud.jpg', 243, 12, 40, 11,'jpg');
$pdf->Text(75,$alturaX,$texto);
$alturaX = $alturaX+$ha;
//$pdf->Text(55,30,$arraymes[$mm]['idmes']);
$pdf->SetFont('Arial','',6);

$posicionx = $sumat*0.12 + $sumat*0.1655 + 25;
$posicionx2 = ($sumat - ($posicionx + $suma)) - 14.75;

//creando cabecera 1
$a = 0.20*$suma;
$b= 0.30*$suma;
$c= 0.20*$suma;
$d = $suma - ($a+$b+$c);
$w = array($a,$b,$c,$d);
$alig = array('L','C','L','C');
$alig2 = array('L','C','L','C','L','C');
//imprimir (datos, posc x, posc y, altura, ancho, alineacion)

$s = $sumat*0.2;
$x= $sumat*0.3;
$y= $sumat*0.2;
$z= $sumat*0.3;

$w1 = array($sumat*0.12,$sumat*0.32,$sumat*0.12,$sumat*0.44);
$w2 = array($sumat*0.12,$sumat*0.32,$sumat*0.12,$sumat*0.22,$sumat*0.10,$sumat*0.12);
$w3 = array($sumat*0.12,$sumat*0.44,$sumat*0.10,$sumat*0.12,$sumat*0.10,$sumat*0.12);
$w4 = array($sumat*0.12,$sumat*0.1655);
$wancho = $sumat - ($sumat*0.12 + $sumat*0.165 + $suma);
$w5 = array($wancho);
$posicionx = $sumat*0.12 + $sumat*0.1655 + 25;
$valorxx = $posicionx + $suma;
$posicionx2 = $valorxx;
//$posicionx2 = ($sumat - ($posicionx + $suma)) - 14.75;
$alig6 = array('L','C','C');
$w6 = array($sumat*0.12,$sumat*0.12, $sumat*0.0455);

$alturaX = $alturaX + $ha - 3.5;
$pdf->ImprimirTabla($dato1cab,25,$alturaX,$ha,$w1, $alig);
$alturaX = $alturaX + $ha + $ha;
$pdf->ImprimirTabla($dato2cab,25,$alturaX,$ha,$w2, $alig2);
$alturaX = $alturaX + $ha;
$pdf->ImprimirTabla($dato3cab,25,$alturaX,$ha,$w3, $alig2);
$alturaX = $alturaX + $ha;
$pdf->ImprimirTabla($dato4cab,25,$alturaX,$ha,$w4, $alig);
$pdf->SetFont('Arial','',4.5);
$pdf->ImprimirTablaJustificada($dato5cab,$posicionx2,$alturaX,3*$ha,$w5,'C',3);
$pdf->SetFont('Arial','',6);
$alturaX = $alturaX + $ha;
$pdf->ImprimirTablaSinColor($dato6cab,25,$alturaX,$ha,$w6, $alig6);
$alturaX = $alturaX - $ha;
$pdf->SetFont('Arial','',5.5);
$pdf->ImprimirDias($header2,$posicionx,$alturaX,$ha,$ancho,$alinea,$pinta);
$alturaX = $alturaX + $ha;
$pdf->ImprimirDias($header3,$posicionx,$alturaX,$ha,$ancho,$alinea,$pinta);
$alturaX = $alturaX + $ha;
$pdf->SetFont('Arial','',6);
$aw= $sumat*0.12 + $sumat*0.32 + $sumat*0.12 + $sumat*0.44;
$pdf->ImprimirTablaTitulo($cabeceraho,25,$alturaX,$ha,$aw,'L',true);
$alturaX = $alturaX + $ha;
//Pregunta por los Grupos Areas Programadas
		$Objga = new GrupoArea();
		$res_gaprog = array(); 
		$res_gaprog = $Objga->listar_garea_eje($conex,$anno,$mm,$idj,$ids,$ids,$idtp, $ugid,0);
			if(count($res_gaprog)!=0){
			for ($iga=0;$iga<sizeof($res_gaprog);$iga++)
			{
			$idga= $res_gaprog[$iga]['idga'];
			$pdf->ImprimirTablaTitulo($res_gaprog[$iga]['garea'],25,$alturaX,$ha,$aw,'L',false);
			$alturaX = $alturaX + $ha;	
				//pregunta por las areas
						$Obja = new Area();
						$res_aprog = array();
						$res_aprog = $Obja->listar_area_eje($conex,$anno,$mm,$idj,$ids,$ids,$idtp,$ugid,$idga,0);
						for ($ia=0;$ia<sizeof($res_aprog);$ia++)
						{
						$ida=$res_aprog[$ia]['ida'];
						$area=$res_aprog[$ia]['area'];
						
						//Pregunta cantidad horarios por area
						$Objh = new Horario();
						$cantreg = $Objh->cont_horario_eje_area($conex,$anno,$mm,$idj,$ids,$ids,$idtp,$ugid,0,$idga,$ida);
						
						if($cantreg>0){
						$hp = $ha*$cantreg;
						$wa = $sumat*0.12;
						$pdf->ImprimirTablaArea($area,25,$alturaX,$hp,$wa,'C',2,$cantreg);
						
					//pregunta por los horarios
						$res_hrs = $Objh->lis_horario_eje_area($conex,$anno,$mm,$idj,$ids,$ids,$idtp,$ugid,0,$idga,$ida);
						$alturaXH = $alturaX;
						$alturaXT = $alturaX;
						for ($ih=0;$ih<sizeof($res_hrs);$ih++)
						{
						$idh=$res_hrs[$ih]['idhora'];
						
						//Pregunta por el Horario
						$res_hr = array();
						$res_hr = $Objh->buscar_horario($conex,$idh);
						$horario = array($res_hr[$ih]['hora'], $res_hr[$ih]['turno'],$res_hr[$ih]['numhora']);					
						
						$wh= array($sumat*0.095, $sumat*0.025, $sumat*0.0455);
						$pdf->ImprimirTablaHorario($horario,25+$wa,$alturaXH ,$ha,$wh,'C');	
						$alturaXH = $alturaXH + $ha;					
						
						
						$diaprog = array();	
						for ($j=1;$j<=$numeroDeDias;$j++){
						$Objhr = new Horario();
						$numhrsp = $Objhr->eje_hrs_persona($conex,$j,$anno,$mm,$idj,$ids,$ids,$idtp,$ugid,0,$idga,$ida,$idh);
						
						$dia= date("w",mktime( 0, 0, 0, $mm, $j, $anno )); 
						if($numhrsp==0){
						switch ($dia) {
						    case 0: $diaprog[$j-1]=" "; break;
						    case 1: 
						    case 2:
						    case 3:
						    case 4:
						    case 5:
						    case 6:
						        $diaprog[$j-1]=" "; break;
						}

						}else{
						$hrord = $numhrsp;
							switch ($dia) {
						    case 0: $diaprog[$j-1]=$hrord; break;
						    case 1: 
						    case 2:
						    case 3:
						    case 4:
						    case 5:
						    case 6:
						        $diaprog[$j-1]=$hrord; break;
						}
						}
																	
						}
						$pdf->ImprimirDiasHoras($diaprog,$posicionx,$alturaXT,$ha,$ancho,$alinea,$pintap);
						
													
						
					//Suma de Horas por Turno o Horario
					$totalhorasturno=$Objh->sum_hrs_persona_turno_eje($conex,$anno,$mm,$idj,$ids,$ids,$idtp,$ugid,0,$idga,$ida,$idh);
					
								$wst= $sumat - ($sumat*0.12 + $sumat*0.165 + $suma);
								if($totalhorasturno==0){
									$pdf->ImprimirTablaArea(0,$posicionx, $alturaX, $ha, $wst,'C',2,1);
								}else{
								$pdf->ImprimirTablaArea($totalhorasturno,$posicionx2, $alturaXT, $ha, $wst,'C',2,1);
								}
						$alturaXT = $alturaXT + $ha;
							}
											
					//finaliza por el horario
					$alturaX = $alturaX + $ha*$cantreg; 
				}
				
				}
				///////sub cantidades de los grupos de areas
						
						$subthrsprog = array();
						for ($k=1;$k<=$numeroDeDias;$k++){
							$Objh = new Horario();
							$numhrsga = $Objh->sum_hrs_per_garea_dia_eje($conex,$k,$anno,$mm,$idj,$ids,$ids,$idtp,$ugid,0,$idga);
							if($numhrsga>0){
							$subthrsprog[$k-1] = $numhrsga;
							}else{
							$subthrsprog[$k-1] = "-";
							}
						}
						
						//horas subtotales por personal grupo area
						$tothrs= $Objh->sum_hrs_per_total_eje($conex,$anno,$mm,$idj,$ids,$ids,$idtp,$ugid,0,$idga);
						
				$wast = $sumat*0.2855;
				$wst= $sumat - ($sumat*0.12 + $sumat*0.165 + $suma);
				$txtst = 'SUB TOTAL DE HORAS';
				$pdf->ImprimirTablaArea($txtst,25,$alturaX,$ha,$wast,'C',2,1);		
			    $pdf->ImprimirDiasHoras($subthrsprog,$posicionx,$alturaX,$ha,$ancho,$alinea,$pintast);
				$pdf->ImprimirTablaArea($tothrs,$posicionx2, $alturaX, $ha, $wst,'C',2,1);
						
			$alturaX = $alturaX + $ha;
			/////////////////
			}}
	
	//total de hrs ordinarias
	
	$totalhrs = array();
	for ($p=1;$p<=$numeroDeDias;$p++){
						$Objh = new Horario();
						$sumhrdia_to= $Objh->sum_hrs_per_garea_eje($conex,$p,$anno,$mm,$idj,$ids,$ids,$idtp,$ugid,0);
							if($sumhrdia_to>0){
							$totalhrs[$p-1]= $sumhrdia_to;					
							}else{
							$totalhrs[$p-1]= 0;
							}
						}
						
						//horas ordinarias totales por personal
						$to_hrs_per= $Objh->sum_per_total_eje($conex,$anno,$mm,$idj,$ids,$ids,$idtp,$ugid,0);
						if($to_hrs_per!=0){					
						$tothrs = $to_hrs_per;
						}else{
						$tothrs = 0;
						}
						
						$wast = $sumat*0.2855;
						$wst= $sumat - ($sumat*0.12 + $sumat*0.165 + $suma);
						$txtst = 'TOTAL DE HORAS ORDINARIAS';
						$pdf->ImprimirTablaArea($txtst,25,$alturaX,$ha,$wast,'C',2,1);		
					    $pdf->ImprimirDiasHoras($totalhrs,$posicionx,$alturaX,$ha,$ancho,$alinea,$pintat);
						$pdf->ImprimirTablaArea($tothrs,$posicionx2, $alturaX, $ha, $wst,'C',2,1);
						$alturaX = $alturaX + $ha;
	//final de horas ordinarias
	//final de horas ordinarias del servicio

//HORAS EXTRAS EN EL SERVICIO
	
	$pdf->ImprimirTablaTitulo($cabecerahe,25,$alturaX,$ha,$aw,'L',true);
	$alturaX = $alturaX + $ha;

		//pregunta por el grupo area
			$Objga = new GrupoArea();
			$res_gaprog = array(); 
			$res_gaprog = $Objga->listar_garea_eje($conex,$anno,$mm,$idj,$ids,$ids,$idtp, $ugid,1);
			if(count($res_gaprog)!=0){
			for ($iga=0;$iga<sizeof($res_gaprog);$iga++)
			{
			$idga= $res_gaprog[$iga]['idga'];
			$pdf->ImprimirTablaTitulo($res_gaprog[$iga]['garea'],25,$alturaX,$ha,$aw,'L',false);
				$alturaX = $alturaX + $ha;
				
						$Obja = new Area();
						$res_aprog = array();
						$res_aprog = $Obja->listar_area_eje($conex,$anno,$mm,$idj,$ids,$ids,$idtp,$ugid,$idga,1);	
												
						for ($ia=0;$ia<sizeof($res_aprog);$ia++)
						{
						$ida=$res_aprog[$ia]['ida'];
						$area=$res_aprog[$ia]['area'];
						
						//Pregunta cantidad horarios por area
						$Objh = new Horario();
						$cantreg = $Objh->cont_horario_eje_area($conex,$anno,$mm,$idj,$ids,$ids,$idtp,$ugid,1,$idga,$ida);	
						if($cantreg>0){
						$hp = $ha*$cantreg;
						$wa = $sumat*0.12;
						$pdf->ImprimirTablaArea($area,25,$alturaX,$hp,$wa,'C',2,$cantreg);
						//pregunta por el horario
						$res_hrs = $Objh->lis_horario_eje_area($conex,$anno,$mm,$idj,$ids,$ids,$idtp,$ugid,1,$idga,$ida);
						
						$alturaXH = $alturaX;
						$alturaXT = $alturaX;
						for ($ih=0;$ih<sizeof($res_hrs);$ih++)
						{
						$idh=$res_hrs[$ih]['idhora'];
						
						//Pregunta por el Horario
						$res_hr = array();
						$res_hr = $Objh->buscar_horario($conex,$idh);
						$horario = array($res_hr[$ih]['hora'], $res_hr[$ih]['turno'],$res_hr[$ih]['numhora']);
						
						$wh= array($sumat*0.095, $sumat*0.025, $sumat*0.0455);
						$pdf->ImprimirTablaHorario($horario,25+$wa,$alturaXH ,$ha,$wh,'C');	
						$alturaXH = $alturaXH + $ha;
						
						$diaprog = array();	
						for ($i=1;$i<=$numeroDeDias;$i++){
						$Objhr = new Horario();
						$numhrsp = $Objhr->eje_hrs_persona($conex,$i,$anno,$mm,$idj,$ids,$ids,$idtp,$ugid,1,$idga,$ida,$idh);
						$dia= date("w",mktime( 0, 0, 0, $mm, $i, $anno )); 
						if($numhrsp==0){
						switch ($dia) {
						    case 0: $diaprog[$i-1]=" "; break;
						    case 1: 
						    case 2:
						    case 3:
						    case 4:
						    case 5:
						    case 6:
									$diaprog[$i-1]=" "; break;
						}

						}else{
						$hrord = $numhrsp;
							switch ($dia) {
						    case 0: $diaprog[$i-1]=$hrord; break;
						    case 1: 
						    case 2:
						    case 3:
						    case 4:
						    case 5:
						    case 6:
						        $diaprog[$i-1]=$hrord; break;
						}
						}
						}
						$pdf->ImprimirDiasHoras($diaprog,$posicionx,$alturaXT,$ha,$ancho,$alinea,$pintap);
		
		//Suma de Horas por Turno o Horario
		$totalhorasturno=$Objh->sum_hrs_persona_turno_eje($conex,$anno,$mm,$idj,$ids,$ids,$idtp,$ugid,1,$idga,$ida,$idh);
		$wst= $sumat - ($sumat*0.12 + $sumat*0.165 + $suma);
		if($totalhorasturno==0){
			$pdf->ImprimirTablaArea(0,$posicionx2, $alturaXT, $ha, $wst,'C',2,1);
		}else{
			$pdf->ImprimirTablaArea($totalhorasturno,$posicionx2, $alturaXT, $ha, $wst,'C',2,1);			
		}
		$alturaXT = $alturaXT + $ha;
		}
				//finaliza por el horario
					$alturaX = $alturaX + $ha*$cantreg; 	
	}
		}
		
///PARA REVISAR  PARA ABAJO
	//sub cantidades de los grupos de areas
						$subthrsprog = array();
						for ($kk=1;$kk<=$numeroDeDias;$kk++){
							$Objh = new Horario();
							$numhrsga = $Objh->sum_hrs_per_garea_dia_eje($conex,$kk,$anno,$mm,$idj,$ids,$ids,$idtp,$ugid,1,$idga);
							if($numhrsga>0){
							$subthrsprog[$kk-1] = $numhrsga;
							
							}else{
							$subthrsprog[$kk-1] = "-";
							}
						}
						
						$tothrs= $Objh->sum_hrs_per_total_eje($conex,$anno,$mm,$idj,$ids,$ids,$idtp,$ugid,1,$idga);
						
						$wast = $sumat*0.2855;
						$wst= $sumat - ($sumat*0.12 + $sumat*0.165 + $suma);
						$txtst = 'SUB TOTAL DE HORAS';
						$pdf->ImprimirTablaArea($txtst,25,$alturaX,$ha,$wast,'C',2,1);		
					    $pdf->ImprimirDiasHoras($subthrsprog,$posicionx,$alturaX,$ha,$ancho,$alinea,$pintast);
						$pdf->ImprimirTablaArea($tothrs,$posicionx2, $alturaX, $ha, $wst,'C',2,1);
						
			$alturaX = $alturaX + $ha;
						
    }}
		
		
	$totalhrs = array();
	for ($a=1;$a<=$numeroDeDias;$a++){
							$Objh = new Horario();
							$sumhrdia_to= $Objh->sum_hrs_per_garea_eje($conex,$a,$anno,$mm,$idj,$ids,$ids,$idtp,$ugid,1);
							if($sumhrdia_to>0){
							$totalhrs[$a-1]= $sumhrdia_to;
							}else{
							$totalhrs[$a-1]= 0;
							}
						}
						
						//horas ordinarias totales por personal
						$to_hrs_per= $Objh->sum_per_total_eje($conex,$anno,$mm,$idj,$ids,$ids,$idtp,$ugid,1);
						if($to_hrs_per!=0){					
						$tothrs = $to_hrs_per;
						}else{
						$tothrs = 0;
						}
						
						$wast = $sumat*0.2855;
						$wst= $sumat - ($sumat*0.12 + $sumat*0.165 + $suma);
						$txtst = 'TOTAL DE HORAS EXTRAS';
						$pdf->ImprimirTablaArea($txtst,25,$alturaX,$ha,$wast,'C',2,1);		
					    $pdf->ImprimirDiasHoras($totalhrs,$posicionx,$alturaX,$ha,$ancho,$alinea,$pintat);
						$pdf->ImprimirTablaArea($tothrs,$posicionx2, $alturaX, $ha, $wst,'C',2,1);
						$alturaX = $alturaX + $ha;
	
	//}
		
////////////////////FIN H. EXTRAS EN EL SERVICIO
//$Objut = new UsuarioTrabaja();
//$obsp=$Objut->ask_obs_per_eje($idj,$ids,$idtp,$ids,$anno,$mm,$ugid);
$dato7cab=array('OBSERVACIONES:','');
$dato8cab=array('','Firma del Jefe del Servicio','','Firma del Jefe del Departamento','');
$w7=array($sumat*0.2855,$sumat*0.7145);
$alig7=array('C','C');
$w8=array($sumat*0.15,$sumat*0.25,$sumat*0.15,$sumat*0.25,$sumat*0.15);
$alig8=array('C','C','C','C','C');
$hh = $ha*2.3;
$pdf->ImprimirTablaSinColorLineal($dato7cab,25,$alturaX,$hh,$w7, $alig7);
$alturaX = $alturaX + (3.5*$ha) + $hh - 4;
$dibu =array(0,'T',0,'T',0);
$pdf->ImprimirTablaSinColorFirma($dato8cab,25,$alturaX,$ha,$w8, $alig8,$dibu);

//armando grupo de servicios y sus dependencias
$Objj = new Jefaturas();
$datosj[] = array();
$datosj1=$Objj->buscar_jefatura($conex,$idj);
$datosj2=$Objj->listar_jefatura_servicio($conex,$idj);
$datosj=array_merge($datosj1, $datosj2);

//HORAS ORDINARIAS EN OTRO SERVICIOS

$aaa= 0;
$bbb=0;	

//HORAS ORDINARIAS EN OTRO SERVICIOS

$aaa= 0;
$bbb=0;	

for($iso=0;$iso<count($datosj);$iso++){
$idso = $datosj[$iso]['ids'];
$Objshp = new SubhoraEjecutado();
$res_hrsprog = $Objshp->ask_hrseje_per($conex,$ugid,$anno,$mm,$idtp,$idj,$ids,$idso,0);
	if(count($res_hrsprog)>0){
			$nomservicio = "APOYO AL ".$datosj[$iso]['nom'];
			if($aaa==0 && $bbb==0){
			$pdf->AddPage();
			$alturaX = 25;
			$ha = 4;
			$pdf->SetFont('Helvetica','B',12);
			$pdf->Image('../img/logoincor.jpg', 10, 10, 45, 16,'jpg');
			$pdf->Image('../img/logoessalud.jpg', 243, 12, 40, 11,'jpg');
			$pdf->Text(75,$alturaX,$texto);
			$pdf->SetFont('Arial','',6);
			$alturaX = $alturaX+$ha;
			$alturaX = $alturaX + $ha - 3.5;
			$pdf->ImprimirTabla($dato1cab,25,$alturaX,$ha,$w1, $alig);
			$alturaX = $alturaX + $ha + $ha;
			$pdf->ImprimirTabla($dato2cab,25,$alturaX,$ha,$w2, $alig2);
			$alturaX = $alturaX + $ha;
			$pdf->ImprimirTabla($dato3cab,25,$alturaX,$ha,$w3, $alig2);
			$alturaX = $alturaX + $ha;
			$pdf->ImprimirTabla($dato4cab,25,$alturaX,$ha,$w4, $alig);
			$pdf->SetFont('Arial','',4.5);
			$pdf->ImprimirTablaJustificada($dato5cab,$posicionx2,$alturaX,3*$ha,$w5,'C',3);
			$pdf->SetFont('Arial','',6);
			$alturaX = $alturaX + $ha;
			$pdf->ImprimirTablaSinColor($dato6cab,25,$alturaX,$ha,$w6, $alig6);
			$alturaX = $alturaX - $ha;
			$pdf->SetFont('Arial','',5.5);
			$pdf->ImprimirDias($header2,$posicionx,$alturaX,$ha,$ancho,$alinea,$pinta);
			$alturaX = $alturaX + $ha;
			$pdf->ImprimirDias($header3,$posicionx,$alturaX,$ha,$ancho,$alinea,$pinta);
			$alturaX = $alturaX + $ha;
			$pdf->SetFont('Arial','',6);
			$aw= $sumat*0.12 + $sumat*0.32 + $sumat*0.12 + $sumat*0.44;
			//$pdf->ImprimirTablaTitulo($cabeceraho,25,$alturaX,$ha,$aw,'L',true);
			//////
			
			$pdf->ImprimirTablaTitulo($cabecerahoa,25,$alturaX,$ha,$aw,'L',true);
			$alturaX = $alturaX + $ha;
			$aaa=1; $bbb=1;
			}
			$pdf->ImprimirTablaTitulo($nomservicio,25,$alturaX,$ha,$aw,'L',false);
			$alturaX = $alturaX + $ha;
		
		//Pregunta por los Grupos Areas Programadas
			$Objga = new GrupoArea();
			$res_gaprog = array(); 
			$res_gaprog = $Objga->listar_garea_eje($conex,$anno,$mm,$idj,$ids,$idso,$idtp, $ugid,0);
			if(count($res_gaprog)!=0){
			for ($iga=0;$iga<sizeof($res_gaprog);$iga++)
			{
			$idga= $res_gaprog[$iga]['idga'];
			$pdf->ImprimirTablaTitulo($rowga['garea'],25,$alturaX,$ha,$aw,'L',false);
			$alturaX = $alturaX + $ha;
		//pregunta por las areas
					//pregunta por las areas
					$Obja = new Area();
					$res_aprog = array();
					$res_aprog = $Obja->listar_area_eje($conex,$anno,$mm,$idj,$ids,$idso,$idtp,$ugid,$idga,0);
						for ($ia=0;$ia<sizeof($res_aprog);$ia++)
						{
						$ida=$res_aprog[$ia]['ida'];
						$area=$res_aprog[$ia]['area'];
														
						//Pregunta cantidad horarios por area
						$Objh = new Horario();
						$cantreg = $Objh->cont_horario_eje_area($conex,$anno,$mm,$idj,$ids,$idso,$idtp,$ugid,0,$idga,$ida);
												
						if($cantreg>0){
						$hp = $ha*$cantreg;
						$wa = $sumat*0.12;
						$pdf->ImprimirTablaArea($area,25,$alturaX,$hp,$wa,'C',2,$cantreg);
						//pregunta por el horario
						$res_hrs = $Objh->lis_horario_eje_area($conex,$anno,$mm,$idj,$ids,$idso,$idtp,$ugid,0,$idga,$ida);
						$alturaXH = $alturaX;
						$alturaXT = $alturaX;
						for ($ih=0;$ih<sizeof($res_hrs);$ih++)
						{
						$idh=$res_hrs[$ih]['idhora'];
						
						//pregunta por el turno
						$res_hr = array();
						$res_hr = $Objh->buscar_horario($conex,$idh);
						$horario = array($res_hr[$ih]['hora'], $res_hr[$ih]['turno'],$res_hr[$ih]['numhora']);
						
						$wh= array($sumat*0.095, $sumat*0.025, $sumat*0.0455);
						$pdf->ImprimirTablaHorario($horario,25+$wa,$alturaXH ,$ha,$wh,'C');	
						$alturaXH = $alturaXH + $ha;
						
						$diaproga = array();
						for ($j=1;$j<=$numeroDeDias;$j++){
						$Objhr = new Horario();
						$numhrsp = $Objhr->eje_hrs_persona($conex,$j,$anno,$mm,$idj,$ids,$idso,$idtp,$ugid,0,$idga,$ida,$idh);
						
						$dia= date("w",mktime( 0, 0, 0, $mm, $j, $anno )); 
						if($numhrsp==0){
						switch ($dia) {
						    case 0: $diaproga[$j-1]=" "; break;
						    case 1: 
						    case 2:
						    case 3:
						    case 4:
						    case 5:
						    case 6:
									$diaproga[$j-1]=" "; break;
						}

						}else{
						$hrord = $numhrsp;
							switch ($dia) {
						    case 0: $diaproga[$j-1]=$hrord; break;
						    case 1: 
						    case 2:
						    case 3:
						    case 4:
						    case 5:
						    case 6:
						        $diaproga[$j-1]=$hrord; break;
						}
						}
							//$pdf->Text(5,$h,$sqlconsultaturno);	
						//$h = $h + 5;													
						}
						$pdf->ImprimirDiasHoras($diaproga,$posicionx,$alturaXT,$ha,$ancho,$alinea,$pintap);
							
						
						
		//horas por turno
		$totalhorasturno=$Objh->sum_hrs_persona_turno_eje($conex,$anno,$mm,$idj,$ids,$idso,$idtp,$ugid,0,$idga,$ida,$idh);
		$wst= $sumat - ($sumat*0.12 + $sumat*0.165 + $suma);
		if($totalhorasturno==0){
			$pdf->ImprimirTablaArea(0,$posicionx2, $alturaXT, $ha, $wst,'C',2,1);
		}else{
			$pdf->ImprimirTablaArea($totalhorasturno,$posicionx2, $alturaXT, $ha, $wst,'C',2,1);			
		}
		$alturaXT = $alturaXT + $ha;
	}
		$alturaX = $alturaX + $ha*$cantreg; 
	}
	}
	
	//sub cantidades de los grupos de areas
						$subthrsprog = array();
						for ($k=1;$k<=$numeroDeDias;$k++){
							$Objh = new Horario();
							$numhrsga = $Objh->sum_hrs_per_garea_dia_eje($conex,$k,$anno,$mm,$idj,$ids,$idso,$idtp,$ugid,0,$idga);
							if($numhrsga>0){
							$subthrsprog[$k-1] = $numhrsga;
							}else{
							$subthrsprog[$k-1] = "-";
							}
						}
						
						//horas subtotales por personal grupo area
						$tothrs= $Objh->sum_hrs_per_total_eje($conex,$anno,$mm,$idj,$ids,$idso,$idtp,$ugid,0,$idga);
						$wast = $sumat*0.2855;
						$wst= $sumat - ($sumat*0.12 + $sumat*0.165 + $suma);
						$txtst = 'SUB TOTAL DE HORAS';
						$pdf->ImprimirTablaArea($txtst,25,$alturaX,$ha,$wast,'C',2,1);		
					    $pdf->ImprimirDiasHoras($subthrsprog,$posicionx,$alturaX,$ha,$ancho,$alinea,$pintast);
						$pdf->ImprimirTablaArea($tothrs,$posicionx2, $alturaX, $ha, $wst,'C',2,1);
			$alturaX = $alturaX + $ha;			
    
}
}		
	
	
	//total de hrs ordinarias
	$totalhrs = array();
	for ($p=1;$p<=$numeroDeDias;$p++){
							$Objh = new Horario();
						$sumhrdia_to= $Objh->sum_hrs_per_garea_eje($conex,$p,$anno,$mm,$idj,$ids,$idso,$idtp,$ugid,0);
							if($sumhrdia_to>0){
							$totalhrs[$p-1]= $sumhrdia_to;
							}else{
							$totalhrs[$p-1]= 0;
							}
						}
						
						//horas ordinarias totales por personal
						$to_hrs_per= $Objh->sum_per_total_eje($conex,$anno,$mm,$idj,$ids,$idso,$idtp,$ugid,0);
						if($to_hrs_per!=0){					
						$tothrs = $to_hrs_per;
						}else{
						$tothrs = 0;
						}
						
						$wast = $sumat*0.2855;
						$wst= $sumat - ($sumat*0.12 + $sumat*0.165 + $suma);
						$txtst = 'TOTAL DE HORAS ORDINARIAS';
						$pdf->ImprimirTablaArea($txtst,25,$alturaX,$ha,$wast,'C',2,1);		
					    $pdf->ImprimirDiasHoras($totalhrs,$posicionx,$alturaX,$ha,$ancho,$alinea,$pintat);
						$pdf->ImprimirTablaArea($tothrs,$posicionx2, $alturaX, $ha, $wst,'C',2,1);
						$alturaX = $alturaX + $ha;
	//final de horas ordinarias
	
	}
	}

///HORAS EXTRAS DE APOYO
			
$eee= 0;
			for($iso=0;$iso<count($datosj);$iso++){
			$idso = $datosj[$iso]['ids'];
			$Objshp = new SubhoraEjecutado();
			$res_hrsprog = $Objshp->ask_hrseje_per($conex,$ugid,$anno,$mm,$idtp,$idj,$ids,$idso,1);
				if(count($res_hrsprog)>0){
						$nomservicio = "APOYO AL ".$datosj[$iso]['nom'];
						if($eee==0 && $bbb==0){
						$pdf->AddPage();
						$alturaX = 25;
						$ha = 3.7;
						$pdf->SetFont('Helvetica','B',12);
						$pdf->Image('../img/logoincor.jpg', 10, 10, 45, 16,'jpg');
						$pdf->Image('../img/logoessalud.jpg', 243, 12, 40, 11,'jpg');
						$pdf->Text(75,$alturaX,$texto);
						$pdf->SetFont('Arial','',6);
						$alturaX = $alturaX+$ha;
						$alturaX = $alturaX + $ha -3.5;
						$pdf->ImprimirTabla($dato1cab,25,$alturaX,$ha,$w1, $alig);
						$alturaX = $alturaX + $ha + $ha;
						$pdf->ImprimirTabla($dato2cab,25,$alturaX,$ha,$w2, $alig2);
						$alturaX = $alturaX + $ha;
						$pdf->ImprimirTabla($dato3cab,25,$alturaX,$ha,$w3, $alig2);
						$alturaX = $alturaX + $ha;
						$pdf->ImprimirTabla($dato4cab,25,$alturaX,$ha,$w4, $alig);
						$pdf->SetFont('Arial','',4.5);
						$pdf->ImprimirTablaJustificada($dato5cab,$posicionx2,$alturaX,3*$ha,$w5,'C',3);
						$pdf->SetFont('Arial','',6);
						$alturaX = $alturaX + $ha;
						$pdf->ImprimirTablaSinColor($dato6cab,25,$alturaX,$ha,$w6, $alig6);
						$alturaX = $alturaX - $ha;
						$pdf->SetFont('Arial','',5.5);
						$pdf->ImprimirDias($header2,$posicionx,$alturaX,$ha,$ancho,$alinea,$pinta);
						$alturaX = $alturaX + $ha;
						$pdf->ImprimirDias($header3,$posicionx,$alturaX,$ha,$ancho,$alinea,$pinta);
						$alturaX = $alturaX + $ha;
						$pdf->SetFont('Arial','',6);
						$aw= $sumat*0.12 + $sumat*0.32 + $sumat*0.12 + $sumat*0.44;
						//$pdf->ImprimirTablaTitulo($cabeceraho,25,$alturaX,$ha,$aw,'L',true);
						
						$pdf->ImprimirTablaTitulo($cabecerahea,25,$alturaX,$ha,$aw,'L',true);
						$alturaX = $alturaX + $ha;
						$eee=1;$bbb=1;
						}elseif($eee==0){
						$pdf->ImprimirTablaTitulo($cabecerahea,25,$alturaX,$ha,$aw,'L',true);
						$alturaX = $alturaX + $ha;
						$eee=1;
						}
						$pdf->ImprimirTablaTitulo($nomservicio,25,$alturaX,$ha,$aw,'L',false);
						$alturaX = $alturaX + $ha;
						
				//pregunta por el grupo area
						$Objga = new GrupoArea();
						$res_gaprog = array(); 
						$res_gaprog = $Objga->listar_garea_eje($conex,$anno,$mm,$idj,$ids,$idso,$idtp, $ugid,1);
						if(count($res_gaprog)>0){
						for ($iga=0;$iga<sizeof($res_gaprog);$iga++)
						{
						$idga= $res_gaprog[$iga]['idga'];
						$pdf->ImprimirTablaTitulo($res_gaprog[$iga]['garea'],25,$alturaX,$ha,$aw,'L',false);
						$alturaX = $alturaX + $ha;
						
								//pregunta por las areas
					$Obja = new Area();
					$res_aprog = array();
					$res_aprog = $Obja->listar_area_eje($conex,$anno,$mm,$idj,$ids,$idso,$idtp,$ugid,$idga,1);
					
						for ($ia=0;$ia<sizeof($res_aprog);$ia++)
					{
						$ida=$res_aprog[$ia]['ida'];
						$area=$res_aprog[$ia]['area'];
						
						//Pregunta cantidad horarios por area					
						$Objh = new Horario();
						$cantreg = $Objh->cont_horario_eje_area($conex,$anno,$mm,$idj,$ids,$idso,$idtp,$ugid,1,$idga,$ida);
						
								if($cantreg>0){
								$hp = $ha*$cantreg;
								$wa = $sumat*0.12;
								$pdf->ImprimirTablaArea($area,25,$alturaX,$hp,$wa,'C',2,$cantreg);
									
						//pregunta por los horarios
						$res_hrs = $Objh->lis_horario_eje_area($conex,$anno,$mm,$idj,$ids,$idso,$idtp,$ugid,1,$idga,$ida);
									$alturaXH = $alturaX;
									$alturaXT = $alturaX;
									for ($ih=0;$ih<sizeof($res_hrs);$ih++)
									{
									$idh=$res_hrs[$ih]['idhora'];
									
									//pregunta por el turno
									$res_hr = array();
									$res_hr = $Objh->buscar_horario($conex,$idh);
									$horario = array($res_hr[$ih]['hora'], $res_hr[$ih]['turno'],$res_hr[$ih]['numhora']);
									
									$wh= array($sumat*0.095, $sumat*0.025, $sumat*0.0455);
									$pdf->ImprimirTablaHorario($horario,25+$wa,$alturaXH ,$ha,$wh,'C');	
									$alturaXH = $alturaXH + $ha;
									
									$diaprogea = array();
									for ($i=1;$i<=$numeroDeDias;$i++){
									$Objhr = new Horario();
									$numhrsp = $Objhr->eje_hrs_persona($conex,$i,$anno,$mm,$idj,$ids,$idso,$idtp,$ugid,1,$idga,$ida,$idh);
									
									$dia= date("w",mktime( 0, 0, 0, $mm, $i, $anno )); 
									if($numhrsp==0){
									switch ($dia) {
									    case 0: $diaprogea[$i-1]=" "; break;
									    case 1: 
									    case 2:
									    case 3:
									    case 4:
									    case 5:
									    case 6:
									        $diaprogea[$i-1]=" "; break;
									}

									}else{
									$hrord = $numhrsp;
										switch ($dia) {
									    case 0: $diaprogea[$i-1]=$hrord; break;
									    case 1: 
									    case 2:
									    case 3:
									    case 4:
									    case 5:
									    case 6:
									        $diaprogea[$i-1]=$hrord; break;
									}
									}
									}
									
									$pdf->ImprimirDiasHoras($diaprogea,$posicionx,$alturaXT,$ha,$ancho,$alinea,$pintap);
					
					//Suma de Horas por Turno o Horario
					$totalhorasturno=$Objh->sum_hrs_persona_turno_eje($conex,$anno,$mm,$idj,$ids,$idso,$idtp,$ugid,1,$idga,$ida,$idh);
					$wst= $sumat - ($sumat*0.12 + $sumat*0.165 + $suma);
					if($totalhorasturno==0){
						$pdf->ImprimirTablaArea(0,$posicionx2, $alturaXT, $ha, $wst,'C',2,1);
					}else{
						$pdf->ImprimirTablaArea($totalhorasturno,$posicionx2, $alturaXT, $ha, $wst,'C',2,1);						
					}
					$alturaXT = $alturaXT + $ha;
				}	
					$alturaX = $alturaX + $ha*$cantreg; 
				}
			}
					
				
				//sub cantidades de los grupos de areas
									$subthrsprog = array();
									for ($i=1;$i<=$numeroDeDias;$i++){
										$Objh = new Horario();
										$numhrsga = $Objh->sum_hrs_per_garea_dia_eje($conex,$i,$anno,$mm,$idj,$ids,$idso,$idtp,$ugid,1,$idga);
										if($numhrsga>0){
										$subthrsprog[$i-1] = $numhrsga;
										}else{
										$subthrsprog[$i-1] = "-";
										}
									}
									
									//horas subtotales por personal grupo area
									$tothrs= $Objh->sum_hrs_per_total_eje($conex,$anno,$mm,$idj,$ids,$idso,$idtp,$ugid,1,$idga);
									
									$wast = $sumat*0.2855;
									$wst= $sumat - ($sumat*0.12 + $sumat*0.165 + $suma);
									$txtst = 'SUB TOTAL DE HORAS';
									$pdf->ImprimirTablaArea($txtst,25,$alturaX,$ha,$wast,'C',2,1);		
								    $pdf->ImprimirDiasHoras($subthrsprog,$posicionx,$alturaX,$ha,$ancho,$alinea,$pintast);
									$pdf->ImprimirTablaArea($tothrs,$posicionx2, $alturaX, $ha, $wst,'C',2,1);
									$alturaX = $alturaX + $ha;	
			    
								
				}}
					//total de hrs extras
				$totalhrs = array();
				for ($i=1;$i<=$numeroDeDias;$i++){
							$Objh = new Horario();
							$sumhrdia_to= $Objh->sum_hrs_per_garea_eje($conex,$i,$anno,$mm,$idj,$ids,$idso,$idtp,$ugid,1);
							if($sumhrdia_to>0){
								$totalhrs[$i-1]= $sumhrdia_to;
									 }else{
										$totalhrs[$i-1]= "-";
										}
									}
									
									
						//horas ordinarias totales por personal
						$to_hrs_per= $Objh->sum_per_total_eje($conex,$anno,$mm,$idj,$ids,$idso,$idtp,$ugid,1);
						if($to_hrs_per!=0){					
						$tothrs = $to_hrs_per;
						}else{
						$tothrs = 0;
						}
									
						$wast = $sumat*0.2855;
						$wst= $sumat - ($sumat*0.12 + $sumat*0.165 + $suma);
						$txtst = 'TOTAL DE HORAS EXTRAS';
						$pdf->ImprimirTablaArea($txtst,25,$alturaX,$ha,$wast,'C',2,1);		
					    $pdf->ImprimirDiasHoras($totalhrs,$posicionx,$alturaX,$ha,$ancho,$alinea,$pintat);
						$pdf->ImprimirTablaArea($tothrs,$posicionx2, $alturaX, $ha, $wst,'C',2,1);
						$alturaX = $alturaX + $ha;
	
	
	
	//////termina las horas extras
	}
			
	}
	if(($aaa==1 && $bbb==1) || ($eee==1 && $bbb==1)){
			$dato7cab=array('OBSERVACIONES:','');
			$dato8cab=array('','Firma del Jefe del Servicio','','Firma del Jefe del Departamento','');
			$w7=array($sumat*0.2855,$sumat*0.7145);
			$alig7=array('C','C');
			$w8=array($sumat*0.15,$sumat*0.25,$sumat*0.15,$sumat*0.25,$sumat*0.15);
			$alig8=array('C','C','C','C','C');
			$hh = $ha*2.3;
			$pdf->ImprimirTablaSinColorLineal($dato7cab,25,$alturaX,$hh,$w7, $alig7);
			$alturaX = $alturaX + 3.5*$ha + $hh;
			$dibu =array(0,'T',0,'T',0);
			$pdf->ImprimirTablaSinColorFirma($dato8cab,25,$alturaX,$ha,$w8, $alig8,$dibu);
}

$pdf->Output();
$pdf->Footer();
?>
